Skip to main content
GET
/
agents
List all agents
curl --request GET \
  --url https://api.pipecat.daily.co/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "services": [
    {
      "id": "c359e1ea-64d6-4bcf-a7c6-28d3bd1c8909",
      "name": "voice-starter",
      "region": "us-west",
      "desiredDeploymentId": "4cab03c7-8f53-418d-9c3c-91a1265d179e",
      "activeDeploymentId": "4cab03c7-8f53-418d-9c3c-91a1265d179e",
      "reconciledDeploymentId": "4cab03c7-8f53-418d-9c3c-91a1265d179e",
      "organizationId": "7c489df3-7d1d-482f-b1ed-51300f630645",
      "createdAt": "2025-04-09T15:01:17.414Z",
      "updatedAt": "2025-04-18T20:29:19.181Z",
      "deletedAt": null
    },
    {
      "id": "4e0d1f30-77a8-4283-a054-14a63b06720f",
      "name": "voice-starter-krisp",
      "region": "us-west",
      "desiredDeploymentId": "62e89096-23c6-4265-984b-f419696c58da",
      "activeDeploymentId": "62e89096-23c6-4265-984b-f419696c58da",
      "reconciledDeploymentId": "62e89096-23c6-4265-984b-f419696c58da",
      "organizationId": "7c489df3-7d1d-482f-b1ed-51300f630645",
      "createdAt": "2025-04-09T15:59:50.465Z",
      "updatedAt": "2025-04-11T16:54:54.246Z",
      "deletedAt": null
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://daily-docs-pr-4424.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication requires a Pipecat Cloud Private API token.

Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.

Query Parameters

includeActiveDeployment
boolean

Whether to include the active deployment details in the response

region
string

Filter agents by region. If not specified, returns agents from all regions.

Example:

"us-west"

Response

List of agents retrieved successfully

services
object[]